org.springframework.web.reactive.handler

## Class WebFluxResponseStatusExceptionHandler

- java.lang.Object
- - org.springframework.web.server.handler.ResponseStatusExceptionHandler
  - - org.springframework.web.reactive.handler.WebFluxResponseStatusExceptionHandler

- All Implemented Interfaces:
    WebExceptionHandler

      public class WebFluxResponseStatusExceptionHandler
      extends ResponseStatusExceptionHandler

  Common WebFlux exception handler that detects instances of `ResponseStatusException` (inherited from the base class) as well as exceptions annotated with `@ResponseStatus` by determining the HTTP status for them and updating the status of the response accordingly.

  If the response is already committed, the error remains unresolved and is propagated.

  Since:
    5.0.5
  Author:
    Juergen Hoeller, Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebFluxResponseStatusExceptionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `determineRawStatusCode(Throwable ex)` Determine the raw status code for the given exception.

    - ### Methods inherited from class org.springframework.web.server.handler.ResponseStatusExceptionHandler

      `determineStatus, handle, setWarnLogCategory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebFluxResponseStatusExceptionHandler

          public WebFluxResponseStatusExceptionHandler()

  - ### Method Detail

    - #### determineRawStatusCode

          protected int determineRawStatusCode(Throwable ex)

      Description copied from class: `ResponseStatusExceptionHandler`
      Determine the raw status code for the given exception.
      Overrides:
        `determineRawStatusCode` in class `ResponseStatusExceptionHandler`
      Parameters:
        `ex` - the exception to check
      Returns:
        the associated HTTP status code, or -1 if it can't be derived.